Tracking Files
Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.
Example of authenticated request
$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
A page number within the paginated result set.
A date range to filter the tracking files.
2024-10-11T23:00:00Z,2024-10-15T23:00:00ZA comma separated list of statuses to filter the tracking files.
open,closedPossible values: A comma separated list of transport uids to filter the tracking files.
4443d4b6-e165-11ea-a488-0242ac110007,4443d4b6-e165-11ea-a488-0242ac110008Get successful
1GET /api/v4/tracking-files/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
Get successful
{
"count": 1,
"next": "text",
"previous": "text",
"results": [
{
"uid": "123e4567-e89b-12d3-a456-426614174000",
"status": "open",
"created": "2023-10-01T00:00:00Z",
"name": "My tracking file name",
"shipper_id": 123,
"quantity_per_transport": 100,
"start_date": "2023-10-01T00:00:00Z",
"end_date": "2023-10-10T00:00:00Z",
"unit": "kilogram",
"template_uid": "template-uid-123",
"loading_address": {
"pk": 23498,
"name": "Transport Bouvet",
"address": "3 rue des champs",
"city": "Nantes",
"postcode": "44000",
"country": "FR",
"latitude": -52.5561625,
"longitude": 92.896504,
"radius": 500,
"coords_validated": false,
"is_demo": true,
"is_carrier": true,
"is_shipper": true,
"is_origin": true,
"is_destination": true,
"created_by": {
"pk": 25,
"name": "Transport Bouvet"
},
"created_by_user": {
"pk": 34,
"display_name": "Jean Pierre Bouvet",
"company": 25,
"trucker_id": 95
},
"created": "2020-12-22T15:31:39.26167Z",
"instructions": "text",
"remote_id": "text",
"original": 2085,
"company": {
"pk": 928,
"remote_id": "text",
"created": "2020-07-30T21:10:06.445510Z",
"updated": "2020-07-30T21:10:06.44551Z",
"deleted": true,
"invoicing_remote_id": "COMP_456",
"name": "Transport Bouvet",
"phone_number": "0601020304",
"email": "i.love.dashdoc@gmail.com",
"siren": "123456789",
"trade_number": "text",
"country": "FR",
"comments": "text",
"vat_number": "text",
"is_verified": true,
"settings_transport_order_observations": "text",
"settings_constrain_reference_edition": true,
"account_type": "text",
"logo": "text",
"subscription_access": {},
"settings": {},
"primary_address": {
"pk": 23498,
"name": "Transport Bouvet",
"address": "3 rue des champs",
"city": "Nantes",
"postcode": "44000",
"country": "FR",
"latitude": -52.5561625,
"longitude": 92.896504,
"radius": 500,
"coords_validated": false,
"is_demo": true,
"is_carrier": true,
"is_shipper": true,
"is_origin": true,
"is_destination": true,
"created_by": {
"pk": 25,
"name": "Transport Bouvet"
},
"created_by_user": {
"pk": 34,
"display_name": "Jean Pierre Bouvet",
"company": 25,
"trucker_id": 95
},
"created": "2020-12-22T15:31:39.26167Z",
"remote_id": "text"
},
"managers": [
{
"pk": 928,
"user": {
"email": "adele.bouvet@gmail.com",
"first_name": "Adèle",
"last_name": "Bouvet"
},
"display_name": "text",
"role": "text"
}
],
"has_loggable_managers": true
}
},
"unloading_address": {
"pk": 23498,
"name": "Transport Bouvet",
"address": "3 rue des champs",
"city": "Nantes",
"postcode": "44000",
"country": "FR",
"latitude": -52.5561625,
"longitude": 92.896504,
"radius": 500,
"coords_validated": false,
"is_demo": true,
"is_carrier": true,
"is_shipper": true,
"is_origin": true,
"is_destination": true,
"created_by": {
"pk": 25,
"name": "Transport Bouvet"
},
"created_by_user": {
"pk": 34,
"display_name": "Jean Pierre Bouvet",
"company": 25,
"trucker_id": 95
},
"created": "2020-12-22T15:31:39.26167Z",
"instructions": "text",
"remote_id": "text",
"original": 2085,
"company": {
"pk": 928,
"remote_id": "text",
"created": "2020-07-30T21:10:06.445510Z",
"updated": "2020-07-30T21:10:06.44551Z",
"deleted": true,
"invoicing_remote_id": "COMP_456",
"name": "Transport Bouvet",
"phone_number": "0601020304",
"email": "i.love.dashdoc@gmail.com",
"siren": "123456789",
"trade_number": "text",
"country": "FR",
"comments": "text",
"vat_number": "text",
"is_verified": true,
"settings_transport_order_observations": "text",
"settings_constrain_reference_edition": true,
"account_type": "text",
"logo": "text",
"subscription_access": {},
"settings": {},
"primary_address": {
"pk": 23498,
"name": "Transport Bouvet",
"address": "3 rue des champs",
"city": "Nantes",
"postcode": "44000",
"country": "FR",
"latitude": -52.5561625,
"longitude": 92.896504,
"radius": 500,
"coords_validated": false,
"is_demo": true,
"is_carrier": true,
"is_shipper": true,
"is_origin": true,
"is_destination": true,
"created_by": {
"pk": 25,
"name": "Transport Bouvet"
},
"created_by_user": {
"pk": 34,
"display_name": "Jean Pierre Bouvet",
"company": 25,
"trucker_id": 95
},
"created": "2020-12-22T15:31:39.26167Z",
"remote_id": "text"
},
"managers": [
{
"pk": 928,
"user": {
"email": "adele.bouvet@gmail.com",
"first_name": "Adèle",
"last_name": "Bouvet"
},
"display_name": "text",
"role": "text"
}
],
"has_loggable_managers": true
}
},
"total_load": {
"uid": "text",
"remote_id": "text",
"description": "text",
"reference": "text",
"weight": 1,
"volume": 1,
"volume_display_unit": "m3",
"linear_meters": 1,
"quantity": 1,
"pallet_equivalence": 1,
"category": "text",
"dangerous_goods_category": "1",
"is_dangerous": true,
"adr_un_code": "text",
"legal_mentions": "text",
"complementary_information": "text",
"container_number": "text",
"tare_weight": 1,
"container_seal_number": "text",
"refrigerated": true,
"temperature": "text",
"steres": 1,
"idtf_number": "text",
"use_identifiers": true,
"identifiers": "text",
"identifiers_observations": "text"
},
"requires_washing": false,
"is_multiple_compartments": false
}
]
}Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.
Example of authenticated request
$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Name of the tracking file
My tracking file nameID of the shipper
123Start date of the tracking file
2023-10-01T00:00:00ZEnd date of the tracking file
2023-10-10T00:00:00ZID of the loading address.
456ID of the unloading address
789Quantity per transport
100Unit of measurement
kilogramPossible values: Indicates if washing is required by default for transports that will be created in this tracking file
falseExample: falseIndicates if there are multiple compartments by default for transports that will be created in this tracking file
falseExample: falseCreate successful
Unique identifier of the tracking file
123e4567-e89b-12d3-a456-426614174000Status of the tracking file
openPossible values: Creation date of the tracking file
2023-10-01T00:00:00ZName of the tracking file
My tracking file namePrimary key of the shipper
123Quantity per transport
100Start date of the tracking file
2023-10-01T00:00:00ZEnd date of the tracking file
2023-10-10T00:00:00ZUnit of measurement
kilogramPossible values: Unique identifier of the template linked to the tracking file
template-uid-123Indicates if washing is required by default for transports that will be created in this tracking file
falseIndicates if there are multiple compartments by default for transports that will be created in this tracking file
falsePOST /api/v4/tracking-files/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 1103
{
"name": "My tracking file name",
"shipper_id": 123,
"start_date": "2023-10-01T00:00:00Z",
"end_date": "2023-10-10T00:00:00Z",
"loading_address_id": 456,
"unloading_address_id": 789,
"quantity_per_transport": 100,
"unit": "kilogram",
"total_load": {
"remote_id": "text",
"description": "text",
"reference": "text",
"weight": 1,
"volume": 1,
"linear_meters": 1,
"quantity": 1,
"pallet_equivalence": 1,
"category": "text",
"handling_unit_uid": "123e4567-e89b-12d3-a456-426614174000",
"good_uid": "123e4567-e89b-12d3-a456-426614174000",
"create_handling_unit": {
"name": "text",
"dashdoc_load_category": "text",
"remote_id": "text"
},
"create_good": {
"name": "text",
"additional_information": "text",
"remote_id": "text"
},
"is_dangerous": false,
"adr_un_code": "UN 1202",
"legal_mentions": "Dangerous for the environment",
"complementary_information": "text",
"container_number": "text",
"tare_weight": 1,
"container_seal_number": "text",
"refrigerated": true,
"temperature": "text",
"steres": 1,
"idtf_number": "text",
"use_identifiers": true,
"identifiers": [
"AX000123"
],
"identifiers_observations": "Missing codes: 1234, 3456"
},
"requires_washing": false,
"is_multiple_compartments": false
}Create successful
{
"uid": "123e4567-e89b-12d3-a456-426614174000",
"status": "open",
"created": "2023-10-01T00:00:00Z",
"name": "My tracking file name",
"shipper_id": 123,
"quantity_per_transport": 100,
"start_date": "2023-10-01T00:00:00Z",
"end_date": "2023-10-10T00:00:00Z",
"unit": "kilogram",
"template_uid": "template-uid-123",
"loading_address": {
"pk": 23498,
"name": "Transport Bouvet",
"address": "3 rue des champs",
"city": "Nantes",
"postcode": "44000",
"country": "FR",
"latitude": -52.5561625,
"longitude": 92.896504,
"radius": 500,
"coords_validated": false,
"is_demo": true,
"is_carrier": true,
"is_shipper": true,
"is_origin": true,
"is_destination": true,
"created_by": {
"pk": 25,
"name": "Transport Bouvet"
},
"created_by_user": {
"pk": 34,
"display_name": "Jean Pierre Bouvet",
"company": 25,
"trucker_id": 95
},
"created": "2020-12-22T15:31:39.26167Z",
"instructions": "text",
"remote_id": "text",
"original": 2085,
"company": {
"pk": 928,
"remote_id": "text",
"created": "2020-07-30T21:10:06.445510Z",
"updated": "2020-07-30T21:10:06.44551Z",
"deleted": true,
"invoicing_remote_id": "COMP_456",
"name": "Transport Bouvet",
"phone_number": "0601020304",
"email": "i.love.dashdoc@gmail.com",
"siren": "123456789",
"trade_number": "text",
"country": "FR",
"comments": "text",
"vat_number": "text",
"is_verified": true,
"settings_transport_order_observations": "text",
"settings_constrain_reference_edition": true,
"account_type": "text",
"logo": "text",
"subscription_access": {},
"settings": {},
"primary_address": {
"pk": 23498,
"name": "Transport Bouvet",
"address": "3 rue des champs",
"city": "Nantes",
"postcode": "44000",
"country": "FR",
"latitude": -52.5561625,
"longitude": 92.896504,
"radius": 500,
"coords_validated": false,
"is_demo": true,
"is_carrier": true,
"is_shipper": true,
"is_origin": true,
"is_destination": true,
"created_by": {
"pk": 25,
"name": "Transport Bouvet"
},
"created_by_user": {
"pk": 34,
"display_name": "Jean Pierre Bouvet",
"company": 25,
"trucker_id": 95
},
"created": "2020-12-22T15:31:39.26167Z",
"remote_id": "text"
},
"managers": [
{
"pk": 928,
"user": {
"email": "adele.bouvet@gmail.com",
"first_name": "Adèle",
"last_name": "Bouvet"
},
"display_name": "text",
"role": "text"
}
],
"has_loggable_managers": true
}
},
"unloading_address": {
"pk": 23498,
"name": "Transport Bouvet",
"address": "3 rue des champs",
"city": "Nantes",
"postcode": "44000",
"country": "FR",
"latitude": -52.5561625,
"longitude": 92.896504,
"radius": 500,
"coords_validated": false,
"is_demo": true,
"is_carrier": true,
"is_shipper": true,
"is_origin": true,
"is_destination": true,
"created_by": {
"pk": 25,
"name": "Transport Bouvet"
},
"created_by_user": {
"pk": 34,
"display_name": "Jean Pierre Bouvet",
"company": 25,
"trucker_id": 95
},
"created": "2020-12-22T15:31:39.26167Z",
"instructions": "text",
"remote_id": "text",
"original": 2085,
"company": {
"pk": 928,
"remote_id": "text",
"created": "2020-07-30T21:10:06.445510Z",
"updated": "2020-07-30T21:10:06.44551Z",
"deleted": true,
"invoicing_remote_id": "COMP_456",
"name": "Transport Bouvet",
"phone_number": "0601020304",
"email": "i.love.dashdoc@gmail.com",
"siren": "123456789",
"trade_number": "text",
"country": "FR",
"comments": "text",
"vat_number": "text",
"is_verified": true,
"settings_transport_order_observations": "text",
"settings_constrain_reference_edition": true,
"account_type": "text",
"logo": "text",
"subscription_access": {},
"settings": {},
"primary_address": {
"pk": 23498,
"name": "Transport Bouvet",
"address": "3 rue des champs",
"city": "Nantes",
"postcode": "44000",
"country": "FR",
"latitude": -52.5561625,
"longitude": 92.896504,
"radius": 500,
"coords_validated": false,
"is_demo": true,
"is_carrier": true,
"is_shipper": true,
"is_origin": true,
"is_destination": true,
"created_by": {
"pk": 25,
"name": "Transport Bouvet"
},
"created_by_user": {
"pk": 34,
"display_name": "Jean Pierre Bouvet",
"company": 25,
"trucker_id": 95
},
"created": "2020-12-22T15:31:39.26167Z",
"remote_id": "text"
},
"managers": [
{
"pk": 928,
"user": {
"email": "adele.bouvet@gmail.com",
"first_name": "Adèle",
"last_name": "Bouvet"
},
"display_name": "text",
"role": "text"
}
],
"has_loggable_managers": true
}
},
"total_load": {
"uid": "text",
"remote_id": "text",
"description": "text",
"reference": "text",
"weight": 1,
"volume": 1,
"volume_display_unit": "m3",
"linear_meters": 1,
"quantity": 1,
"pallet_equivalence": 1,
"category": "text",
"dangerous_goods_category": "1",
"is_dangerous": true,
"adr_un_code": "text",
"legal_mentions": "text",
"complementary_information": "text",
"container_number": "text",
"tare_weight": 1,
"container_seal_number": "text",
"refrigerated": true,
"temperature": "text",
"steres": 1,
"idtf_number": "text",
"use_identifiers": true,
"identifiers": "text",
"identifiers_observations": "text"
},
"requires_washing": false,
"is_multiple_compartments": false
}Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.
Example of authenticated request
$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Unique identifier of the tracking file
Delete successful
No content
DELETE /api/v4/tracking-files/{uid}/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
Delete successful
No content
Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.
Example of authenticated request
$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Unique identifier of the tracking file
Get successful
Unique identifier of the tracking file
123e4567-e89b-12d3-a456-426614174000Status of the tracking file
openPossible values: Creation date of the tracking file
2023-10-01T00:00:00ZName of the tracking file
My tracking file namePrimary key of the shipper
123Quantity per transport
100Start date of the tracking file
2023-10-01T00:00:00ZEnd date of the tracking file
2023-10-10T00:00:00ZUnit of measurement
kilogramPossible values: Unique identifier of the template linked to the tracking file
template-uid-123Indicates if washing is required by default for transports that will be created in this tracking file
falseIndicates if there are multiple compartments by default for transports that will be created in this tracking file
falseGET /api/v4/tracking-files/{uid}/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
Get successful
{
"uid": "123e4567-e89b-12d3-a456-426614174000",
"status": "open",
"created": "2023-10-01T00:00:00Z",
"name": "My tracking file name",
"shipper_id": 123,
"quantity_per_transport": 100,
"start_date": "2023-10-01T00:00:00Z",
"end_date": "2023-10-10T00:00:00Z",
"unit": "kilogram",
"template_uid": "template-uid-123",
"loading_address": {
"pk": 23498,
"name": "Transport Bouvet",
"address": "3 rue des champs",
"city": "Nantes",
"postcode": "44000",
"country": "FR",
"latitude": -52.5561625,
"longitude": 92.896504,
"radius": 500,
"coords_validated": false,
"is_demo": true,
"is_carrier": true,
"is_shipper": true,
"is_origin": true,
"is_destination": true,
"created_by": {
"pk": 25,
"name": "Transport Bouvet"
},
"created_by_user": {
"pk": 34,
"display_name": "Jean Pierre Bouvet",
"company": 25,
"trucker_id": 95
},
"created": "2020-12-22T15:31:39.26167Z",
"instructions": "text",
"remote_id": "text",
"original": 2085,
"company": {
"pk": 928,
"remote_id": "text",
"created": "2020-07-30T21:10:06.445510Z",
"updated": "2020-07-30T21:10:06.44551Z",
"deleted": true,
"invoicing_remote_id": "COMP_456",
"name": "Transport Bouvet",
"phone_number": "0601020304",
"email": "i.love.dashdoc@gmail.com",
"siren": "123456789",
"trade_number": "text",
"country": "FR",
"comments": "text",
"vat_number": "text",
"is_verified": true,
"settings_transport_order_observations": "text",
"settings_constrain_reference_edition": true,
"account_type": "text",
"logo": "text",
"subscription_access": {},
"settings": {},
"primary_address": {
"pk": 23498,
"name": "Transport Bouvet",
"address": "3 rue des champs",
"city": "Nantes",
"postcode": "44000",
"country": "FR",
"latitude": -52.5561625,
"longitude": 92.896504,
"radius": 500,
"coords_validated": false,
"is_demo": true,
"is_carrier": true,
"is_shipper": true,
"is_origin": true,
"is_destination": true,
"created_by": {
"pk": 25,
"name": "Transport Bouvet"
},
"created_by_user": {
"pk": 34,
"display_name": "Jean Pierre Bouvet",
"company": 25,
"trucker_id": 95
},
"created": "2020-12-22T15:31:39.26167Z",
"remote_id": "text"
},
"managers": [
{
"pk": 928,
"user": {
"email": "adele.bouvet@gmail.com",
"first_name": "Adèle",
"last_name": "Bouvet"
},
"display_name": "text",
"role": "text"
}
],
"has_loggable_managers": true
}
},
"unloading_address": {
"pk": 23498,
"name": "Transport Bouvet",
"address": "3 rue des champs",
"city": "Nantes",
"postcode": "44000",
"country": "FR",
"latitude": -52.5561625,
"longitude": 92.896504,
"radius": 500,
"coords_validated": false,
"is_demo": true,
"is_carrier": true,
"is_shipper": true,
"is_origin": true,
"is_destination": true,
"created_by": {
"pk": 25,
"name": "Transport Bouvet"
},
"created_by_user": {
"pk": 34,
"display_name": "Jean Pierre Bouvet",
"company": 25,
"trucker_id": 95
},
"created": "2020-12-22T15:31:39.26167Z",
"instructions": "text",
"remote_id": "text",
"original": 2085,
"company": {
"pk": 928,
"remote_id": "text",
"created": "2020-07-30T21:10:06.445510Z",
"updated": "2020-07-30T21:10:06.44551Z",
"deleted": true,
"invoicing_remote_id": "COMP_456",
"name": "Transport Bouvet",
"phone_number": "0601020304",
"email": "i.love.dashdoc@gmail.com",
"siren": "123456789",
"trade_number": "text",
"country": "FR",
"comments": "text",
"vat_number": "text",
"is_verified": true,
"settings_transport_order_observations": "text",
"settings_constrain_reference_edition": true,
"account_type": "text",
"logo": "text",
"subscription_access": {},
"settings": {},
"primary_address": {
"pk": 23498,
"name": "Transport Bouvet",
"address": "3 rue des champs",
"city": "Nantes",
"postcode": "44000",
"country": "FR",
"latitude": -52.5561625,
"longitude": 92.896504,
"radius": 500,
"coords_validated": false,
"is_demo": true,
"is_carrier": true,
"is_shipper": true,
"is_origin": true,
"is_destination": true,
"created_by": {
"pk": 25,
"name": "Transport Bouvet"
},
"created_by_user": {
"pk": 34,
"display_name": "Jean Pierre Bouvet",
"company": 25,
"trucker_id": 95
},
"created": "2020-12-22T15:31:39.26167Z",
"remote_id": "text"
},
"managers": [
{
"pk": 928,
"user": {
"email": "adele.bouvet@gmail.com",
"first_name": "Adèle",
"last_name": "Bouvet"
},
"display_name": "text",
"role": "text"
}
],
"has_loggable_managers": true
}
},
"total_load": {
"uid": "text",
"remote_id": "text",
"description": "text",
"reference": "text",
"weight": 1,
"volume": 1,
"volume_display_unit": "m3",
"linear_meters": 1,
"quantity": 1,
"pallet_equivalence": 1,
"category": "text",
"dangerous_goods_category": "1",
"is_dangerous": true,
"adr_un_code": "text",
"legal_mentions": "text",
"complementary_information": "text",
"container_number": "text",
"tare_weight": 1,
"container_seal_number": "text",
"refrigerated": true,
"temperature": "text",
"steres": 1,
"idtf_number": "text",
"use_identifiers": true,
"identifiers": "text",
"identifiers_observations": "text"
},
"requires_washing": false,
"is_multiple_compartments": false
}Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.
Example of authenticated request
$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Unique identifier of the tracking file
Name of the tracking file
My tracking file nameID of the shipper
123Start date of the tracking file
2023-10-01T00:00:00ZEnd date of the tracking file
2023-10-10T00:00:00ZID of the loading address.
456ID of the unloading address
789Quantity per transport
100Unit of measurement
kilogramPossible values: Indicates if washing is required by default for transports that will be created in this tracking file
falseExample: falseIndicates if there are multiple compartments by default for transports that will be created in this tracking file
falseExample: falseUpdate successful
Unique identifier of the tracking file
123e4567-e89b-12d3-a456-426614174000Status of the tracking file
openPossible values: Creation date of the tracking file
2023-10-01T00:00:00ZName of the tracking file
My tracking file namePrimary key of the shipper
123Quantity per transport
100Start date of the tracking file
2023-10-01T00:00:00ZEnd date of the tracking file
2023-10-10T00:00:00ZUnit of measurement
kilogramPossible values: Unique identifier of the template linked to the tracking file
template-uid-123Indicates if washing is required by default for transports that will be created in this tracking file
falseIndicates if there are multiple compartments by default for transports that will be created in this tracking file
falsePATCH /api/v4/tracking-files/{uid}/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 1103
{
"name": "My tracking file name",
"shipper_id": 123,
"start_date": "2023-10-01T00:00:00Z",
"end_date": "2023-10-10T00:00:00Z",
"loading_address_id": 456,
"unloading_address_id": 789,
"quantity_per_transport": 100,
"unit": "kilogram",
"total_load": {
"remote_id": "text",
"description": "text",
"reference": "text",
"weight": 1,
"volume": 1,
"linear_meters": 1,
"quantity": 1,
"pallet_equivalence": 1,
"category": "text",
"handling_unit_uid": "123e4567-e89b-12d3-a456-426614174000",
"good_uid": "123e4567-e89b-12d3-a456-426614174000",
"create_handling_unit": {
"name": "text",
"dashdoc_load_category": "text",
"remote_id": "text"
},
"create_good": {
"name": "text",
"additional_information": "text",
"remote_id": "text"
},
"is_dangerous": false,
"adr_un_code": "UN 1202",
"legal_mentions": "Dangerous for the environment",
"complementary_information": "text",
"container_number": "text",
"tare_weight": 1,
"container_seal_number": "text",
"refrigerated": true,
"temperature": "text",
"steres": 1,
"idtf_number": "text",
"use_identifiers": true,
"identifiers": [
"AX000123"
],
"identifiers_observations": "Missing codes: 1234, 3456"
},
"requires_washing": false,
"is_multiple_compartments": false
}Update successful
{
"uid": "123e4567-e89b-12d3-a456-426614174000",
"status": "open",
"created": "2023-10-01T00:00:00Z",
"name": "My tracking file name",
"shipper_id": 123,
"quantity_per_transport": 100,
"start_date": "2023-10-01T00:00:00Z",
"end_date": "2023-10-10T00:00:00Z",
"unit": "kilogram",
"template_uid": "template-uid-123",
"loading_address": {
"pk": 23498,
"name": "Transport Bouvet",
"address": "3 rue des champs",
"city": "Nantes",
"postcode": "44000",
"country": "FR",
"latitude": -52.5561625,
"longitude": 92.896504,
"radius": 500,
"coords_validated": false,
"is_demo": true,
"is_carrier": true,
"is_shipper": true,
"is_origin": true,
"is_destination": true,
"created_by": {
"pk": 25,
"name": "Transport Bouvet"
},
"created_by_user": {
"pk": 34,
"display_name": "Jean Pierre Bouvet",
"company": 25,
"trucker_id": 95
},
"created": "2020-12-22T15:31:39.26167Z",
"instructions": "text",
"remote_id": "text",
"original": 2085,
"company": {
"pk": 928,
"remote_id": "text",
"created": "2020-07-30T21:10:06.445510Z",
"updated": "2020-07-30T21:10:06.44551Z",
"deleted": true,
"invoicing_remote_id": "COMP_456",
"name": "Transport Bouvet",
"phone_number": "0601020304",
"email": "i.love.dashdoc@gmail.com",
"siren": "123456789",
"trade_number": "text",
"country": "FR",
"comments": "text",
"vat_number": "text",
"is_verified": true,
"settings_transport_order_observations": "text",
"settings_constrain_reference_edition": true,
"account_type": "text",
"logo": "text",
"subscription_access": {},
"settings": {},
"primary_address": {
"pk": 23498,
"name": "Transport Bouvet",
"address": "3 rue des champs",
"city": "Nantes",
"postcode": "44000",
"country": "FR",
"latitude": -52.5561625,
"longitude": 92.896504,
"radius": 500,
"coords_validated": false,
"is_demo": true,
"is_carrier": true,
"is_shipper": true,
"is_origin": true,
"is_destination": true,
"created_by": {
"pk": 25,
"name": "Transport Bouvet"
},
"created_by_user": {
"pk": 34,
"display_name": "Jean Pierre Bouvet",
"company": 25,
"trucker_id": 95
},
"created": "2020-12-22T15:31:39.26167Z",
"remote_id": "text"
},
"managers": [
{
"pk": 928,
"user": {
"email": "adele.bouvet@gmail.com",
"first_name": "Adèle",
"last_name": "Bouvet"
},
"display_name": "text",
"role": "text"
}
],
"has_loggable_managers": true
}
},
"unloading_address": {
"pk": 23498,
"name": "Transport Bouvet",
"address": "3 rue des champs",
"city": "Nantes",
"postcode": "44000",
"country": "FR",
"latitude": -52.5561625,
"longitude": 92.896504,
"radius": 500,
"coords_validated": false,
"is_demo": true,
"is_carrier": true,
"is_shipper": true,
"is_origin": true,
"is_destination": true,
"created_by": {
"pk": 25,
"name": "Transport Bouvet"
},
"created_by_user": {
"pk": 34,
"display_name": "Jean Pierre Bouvet",
"company": 25,
"trucker_id": 95
},
"created": "2020-12-22T15:31:39.26167Z",
"instructions": "text",
"remote_id": "text",
"original": 2085,
"company": {
"pk": 928,
"remote_id": "text",
"created": "2020-07-30T21:10:06.445510Z",
"updated": "2020-07-30T21:10:06.44551Z",
"deleted": true,
"invoicing_remote_id": "COMP_456",
"name": "Transport Bouvet",
"phone_number": "0601020304",
"email": "i.love.dashdoc@gmail.com",
"siren": "123456789",
"trade_number": "text",
"country": "FR",
"comments": "text",
"vat_number": "text",
"is_verified": true,
"settings_transport_order_observations": "text",
"settings_constrain_reference_edition": true,
"account_type": "text",
"logo": "text",
"subscription_access": {},
"settings": {},
"primary_address": {
"pk": 23498,
"name": "Transport Bouvet",
"address": "3 rue des champs",
"city": "Nantes",
"postcode": "44000",
"country": "FR",
"latitude": -52.5561625,
"longitude": 92.896504,
"radius": 500,
"coords_validated": false,
"is_demo": true,
"is_carrier": true,
"is_shipper": true,
"is_origin": true,
"is_destination": true,
"created_by": {
"pk": 25,
"name": "Transport Bouvet"
},
"created_by_user": {
"pk": 34,
"display_name": "Jean Pierre Bouvet",
"company": 25,
"trucker_id": 95
},
"created": "2020-12-22T15:31:39.26167Z",
"remote_id": "text"
},
"managers": [
{
"pk": 928,
"user": {
"email": "adele.bouvet@gmail.com",
"first_name": "Adèle",
"last_name": "Bouvet"
},
"display_name": "text",
"role": "text"
}
],
"has_loggable_managers": true
}
},
"total_load": {
"uid": "text",
"remote_id": "text",
"description": "text",
"reference": "text",
"weight": 1,
"volume": 1,
"volume_display_unit": "m3",
"linear_meters": 1,
"quantity": 1,
"pallet_equivalence": 1,
"category": "text",
"dangerous_goods_category": "1",
"is_dangerous": true,
"adr_un_code": "text",
"legal_mentions": "text",
"complementary_information": "text",
"container_number": "text",
"tare_weight": 1,
"container_seal_number": "text",
"refrigerated": true,
"temperature": "text",
"steres": 1,
"idtf_number": "text",
"use_identifiers": true,
"identifiers": "text",
"identifiers_observations": "text"
},
"requires_washing": false,
"is_multiple_compartments": false
}Last updated
Was this helpful?